Subject: bug#5134 closed by Chong Yidong <[email-masked]> (Re: $PATH with double slashes parsing bug)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 06 Dec 2009 19:15:19 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5134: $PATH with double slashes parsing bug

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
5134: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5134
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: $PATH with double slashes parsing bug
From: Chong Yidong <[email-masked]>
To: Sebastien Mondet <[email-masked]>
Cc: [email-masked]
Date: Sun, 06 Dec 2009 14:06:28 -0500

> I discovered this strange behavior of eshell in emacs 23.1.1 (on MacOSX and
> Debian Lenny, both built from source, launched with '-q').
>
> It seems that the presence of two slashes ("//") in a path breaks the
> search:
>
> Example:
>
> ~ $ export PATH=/usr//bin
> ~ $ which m4
> which: no m4 in (/usr//bin)
> ~ $ export PATH=/usr/bin
> ~ $ which m4
> /usr/bin/m4
> ~ $

I can reproduce it in the Emacs 23.1 release.  The bug already seems to
be fixed in the repository (to be 23.2).  Thanks for the bug report,
though.

Subject: $PATH with double slashes parsing bug
From: Sebastien Mondet <[email-masked]>
To: [email-masked]
Date: Sun, 6 Dec 2009 13:53:21 +0100

Hi,

I discovered this strange behavior of eshell in emacs 23.1.1 (on MacOSX and
Debian Lenny, both built from source, launched with '-q').

It seems that the presence of two slashes ("//") in a path breaks the
search:

Example:

~ $ export PATH=/usr//bin
~ $ which m4
which: no m4 in (/usr//bin)
~ $ export PATH=/usr/bin
~ $ which m4
/usr/bin/m4
~ $

I mailed this to [email-masked] (maintainer of eshell) who told me that it
seems to be an Emacs issue.

Cheers,

Sebastien Mondet
http://seb.mondet.org